﻿using System;
using System.Collections.Generic;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Threading.Tasks;
using System.Windows;
using WpfValidationDemo.DataProvider;
using WpfValidationDemo.ViewModel;

namespace WpfValidationDemo
{
  /// <summary>
  /// Interaction logic for App.xaml
  /// </summary>
  public partial class App : Application
  {
    private const int friendIdToLoad = 1;
    protected override void OnStartup(StartupEventArgs e)
    {


      base.OnStartup(e);
      var viewModel = new FriendEditViewModel(new FriendDataProvider());
      var friendEditView = new FriendEditView(viewModel);
      friendEditView.Show();

      viewModel.Load(friendIdToLoad);
    }
  }
}
