﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using WpfValidationDemo.Model;

namespace WpfValidationDemo.DataProvider
{
  public class FriendDataProvider : IFriendDataProvider
  {
    public Friend GetFriendById(int friendId)
    {
      if (friendId != 1)
      {
        throw new ArgumentException($"Friend with Id {friendId} does not exist",
          nameof(friendId));
      }

      return new Friend
      {
        Id = 1,
        FirstName = "Thomas",
        LastName = "Huber",
      };
    }
  }
}
